Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159400 - Introduce "-e trace=desc"
Summary: Introduce "-e trace=desc"
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: strace
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On: 159340
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-02 13:31 UTC by Dmitry V. Levin
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-05 03:25:58 UTC


Attachments (Terms of Use)
strace-4.5.11-alt-TD.patch (deleted)
2005-06-02 13:33 UTC, Dmitry V. Levin
no flags Details | Diff
strace-20050607-alt-TD.patch (deleted)
2005-06-08 10:27 UTC, Dmitry V. Levin
no flags Details | Diff
strace-20050607-alt-TD.patch (deleted)
2005-06-08 10:27 UTC, Dmitry V. Levin
no flags Details | Diff

Description Dmitry V. Levin 2005-06-02 13:31:05 UTC
I find useful to add one more trace class: file descriptors.
It could be defined as set of syscalls which take a file descriptor as an argument or return a file descriptor,
except network related syscalls (since all of them either take a file descriptor as an argument or return a file descriptor anyway).

Comment 1 Dmitry V. Levin 2005-06-02 13:33:44 UTC
Created attachment 115083 [details]
strace-4.5.11-alt-TD.patch

Proposed patch, to be applied on top of strace-4.5.11-alt-TF.patch

Comment 2 Dmitry V. Levin 2005-06-08 10:27:40 UTC
Created attachment 115215 [details]
strace-20050607-alt-TD.patch

Rediffed for cvs snapshot 20050607.

Comment 3 Dmitry V. Levin 2005-06-08 10:27:55 UTC
Created attachment 115216 [details]
strace-20050607-alt-TD.patch

Rediffed for cvs snapshot 20050607.

Comment 4 Roland McGrath 2005-07-05 03:25:58 UTC
Applied upstream.  Thanks for the patch.


Note You need to log in before you can comment on or make changes to this bug.